#define NX (256)
#define BATCH (10)
#define NB (NX * BATCH)

int main()
{
	cufftHandle plan;
	cufftComplex *data;
	cudaMalloc( (void **) & data, sizeof (cufftComplex) * NB);

	cufftPlan1d(&plan, NX, CUFFT_C2C, BATCH);

	cufftExecC2C(plan, data, data, CUFFT_FORWARD);

	cufftDestroy(plan);
	cudaFree(data);
	
	return EXIT_SUCCESS;
}